Subject: Re: bug#29525: Please don't default to "--unique" mode for Okular

From: Mosè Giordano <[email-masked]>
Date: Fri, 1 Dec 2017 19:52:14 +0100

Hi Reuben,

2017-11-30 22:57 GMT+01:00 Reuben Thomas <[email-masked]>:
> I noticed that Emacs seemed only ever to start one instance of Okular, which
> makes it impossible to view multiple files side-by-side. I tracked this down
> to its use of --unique. While there may well be users who prefer this style,

Without this option you'll need to close Okular to view again (C-c
C-v) the document without spawing several instances of the viewer for
the same document.

> I suggest that it shouldn't be the default in AUCTeX, because it's not the
> default for other viewers.

In this regard Evince is smarter than Okular, doesn't create a new
instance for the same document if already open.

I'm not saying the default shouldn't be changed, but I personally like
it because I more often work on a single document rather than multiple
at once.  I'd like to hear comments from other users on this.

Bye,
Mosè